### Method

# Foundry LspClient query_capabilities

#### Declaration [src]

    DexFuture*
    foundry_lsp_client_query_capabilities (
      FoundryLspClient* self
    )

#### Description [src]

Queries the servers capabilities.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves when the query completes or fails.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.